OORQO API
Campaigns

List campaigns

Newest first. Filter by `channel` and `status`.

GET
/v1/campaigns

Newest first. Filter by channel and status.

Authorization

http
headerAuthorizationBearer <token>

Query Parameters

channel?"whatsapp"
Value in"whatsapp"
status?""
Value in""
limit?integer

Items per page, 1 to 100.

Default25
cursor?string

meta.next_cursor (or meta.prev_cursor) of the previous page.

Response Body

Paginated set of Campaign

application/json
  1. response
data*array<>
meta*
Example Request
curl -X GET 'https://app.orqo.site/api/v1/campaigns'
Example Response
{  "data": [    {      "id": 0,      "name": "string",      "channel": "string",      "status": "string",      "audience_type": "string",      "audience_ref": "string",      "template": [        null      ],      "payload": [        null      ],      "schedule_at": "string",      "timezone": "string",      "stats": {        "total": 0,        "queued": 0,        "sent": 0,        "delivered": 0,        "read": 0,        "failed": 0      },      "created_at": "string",      "updated_at": "string"    }  ],  "meta": {    "limit": 0,    "has_more": true,    "next_cursor": "string",    "prev_cursor": "string"  }}